Skip to main content

Get a service request by ID

GEThttps://api.propexo.com/v1/service-requests/:service_request_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

service_request_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the service request

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    getWorkOrders
    Example: 410088
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    getWorkOrders
    Example: 481920
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    Method
    getWorkOrders
    Example: 902114
    x_sub_task_idnullrequired

    The external ID of the sub task from the integration vendor

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    access_is_authorizednullrequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    access_notesnullrequired

    Notes regarding access to the unit associated with the service request

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    buildingnullrequired

    The building name associated with the service request

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    completion_notesnullrequired

    Closing notes associated with the service request

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    date_completedstring | nullnullablerequired

    The date the service request was completed

    Method
    getWorkOrders
    Example: 2025-03-06T00:00:00.000Z
    date_createdstring | nullnullablerequired

    The date the service request was created

    Method
    getWorkOrders
    Example: 2025-03-01T00:00:00.000Z
    date_duestring | nullnullablerequired

    The due date associated with the service request

    Method
    getWorkOrders
    Example: 2025-03-08T00:00:00.000Z
    date_scheduledstring | nullnullablerequired

    The date the service request is scheduled

    Method
    getWorkOrders
    Example: 2025-03-05T00:00:00.000Z
    notesnullrequireddeprecated

    DEPRECATED: Please use 'history' for reading notes regarding the service request

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    service_categorystring | nullnullablerequired

    The category of service request

    Method
    getWorkOrders
    Example: Plumbing
    service_descriptionstring | nullnullablerequired

    A description of the service request

    Method
    getWorkOrders
    Example: Kitchen faucet is leaking
    service_detailsnullrequired

    Details about the service request

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    service_prioritynullrequired

    The priority level associated with the service request

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    status_rawstring | nullnullablerequired

    The raw status associated with the service request

    Method
    getWorkOrders
    Example: Open
    vendor_notesnullrequired

    Vendor/technician notes associated with the service request

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    unit_numbernullrequired

    The unit number associated with the service request. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    order_numberstring | nullnullablerequired

    The order number of the service request

    Method
    getWorkOrders
    Example: 41
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum17required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: PROPERTYWARE
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    Method
    getWorkOrders
    Example: cm0unitx00008pw0za63zbjzp
    employee_idnullrequired

    The Propexo unique identifier for the employee

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    vendors object[]required

    List of vendor IDs associated with the service request

    Notice

    This field is not currently hydrated for PROPERTYWARE

  • Array [
  • vendor_idstringrequired
    Notice

    This field is not currently hydrated for PROPERTYWARE

  • ]
  • history object[]required

    History of notes and/or updates related to the service request

  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request history

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    getWorkOrders
    Example: 410089
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    Method
    getWorkOrders
    Example: 2025-03-02T00:00:00.000Z
    notesstringrequired

    Notes describing the service request history

    Method
    getWorkOrders
    Example: Tenant reported a leaking faucet
    creator_namenullrequired

    The name of the person or user that created the service request history

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    status_rawnullrequired

    The raw status from the service request history

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    service_request_idstringrequired

    The Propexo unique identifier for the service request

    Method
    getWorkOrders
    Example: cm0sreqx00008pw0za63zbjzp
  • ]
  • employees object[]required
    Notice

    This field is not currently hydrated for PROPERTYWARE

  • Array [
  • idstringrequired

    The Propexo unique identifier for the employee

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    namestring | nullnullablerequired

    The name associated with the employee

    Notice

    This field is not currently hydrated for PROPERTYWARE

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/service-requests/:service_request_id
curl https://api.propexo.com/v1/service-requests/:service_request_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "410088",
"x_property_id": "481920",
"x_location_id": null,
"x_unit_id": "902114",
"x_sub_task_id": null,
"access_is_authorized": null,
"access_notes": null,
"building": null,
"completion_notes": null,
"date_completed": "2025-03-06T00:00:00.000Z",
"date_created": "2025-03-01T00:00:00.000Z",
"date_due": "2025-03-08T00:00:00.000Z",
"date_scheduled": "2025-03-05T00:00:00.000Z",
"service_category": "Plumbing",
"service_description": "Kitchen faucet is leaking",
"service_details": null,
"service_priority": null,
"status_raw": "Open",
"vendor_notes": null,
"unit_number": null,
"order_number": "41",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cm0unitx00008pw0za63zbjzp",
"employee_id": null,
"vendors": [
{
"vendor_id": "string"
}
],
"history": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "410089",
"x_created_at": "2025-03-02T00:00:00.000Z",
"notes": "Tenant reported a leaking faucet",
"creator_name": null,
"status_raw": null,
"service_request_id": "cm0sreqx00008pw0za63zbjzp"
}
],
"employees": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"name": "string"
}
]
}
}